Qt 5.11 | Qt 3D | C++ Classes | QAnimationAspect

Qt 5.11.3 Reference Documentation

# QAnimationAspect Class

(Qt3DAnimation::QAnimationAspect)

Provides key-frame animation capabilities to Qt 3D. More...

Header: | #include <QAnimationAspect>
qmake: | QT += 3danimation
Since: | Qt 5.9
Inherits: | Qt3DCore::QAbstractAspect

- List of all members, including inherited members

## Public Functions

| QAnimationAspect(QObject *parent = nullptr)

- 1 public function inherited from Qt3DCore::QAbstractAspect

### Additional Inherited Members

- 5 protected functions inherited from Qt3DCore::QAbstractAspect

## Detailed Description

Provides key-frame animation capabilities to Qt 3D.

QAnimationAspect provides key-frame animation to Qt 3D.

## Member Function Documentation

### QAnimationAspect::QAnimationAspect(QObject *parent = nullptr)

Constructs a new QAnimationAspect with parent.